﻿using CommunityToolkit.Maui.Views;

namespace WheresMyMoney.Maui;

public partial class PlannedPlannedPopup : Popup
{
    public PlannedPlannedPopup()
    {
        InitializeComponent();
    }

    private async void ModifyPlannedPayment_OnClicked(object? sender, EventArgs e)
    {
        using var cts = new CancellationTokenSource(TimeSpan.FromSeconds(5));
        await CloseAsync(PlannedPaymentPopupChoice.Modify, cts.Token);
    }

    private async void RemovePlannedPayment_OnClicked(object? sender, EventArgs e)
    {
        using var cts = new CancellationTokenSource(TimeSpan.FromSeconds(5));
        await CloseAsync(PlannedPaymentPopupChoice.Remove, cts.Token);
    }

    public enum PlannedPaymentPopupChoice
    {
        Modify,
        Remove
    }
}